[TESTING] Kodi 18 (Leia) builds for Raspberry Pi


#695

17.8-161, 14 Jan 2018: Based off OSMC commit (d8d429cd) and newclock5 (066456)

XBMC:

  • [gui] refactor window is topmost methods and add new boolean conditions (PR:13348, 7 commits, 11 files changed)
  • [xbmc][improvement] Add a platform abstraction for temp files / directories (PR:13253, 1 commit, 9 files changed)

pvr.mythtv:

  • fill major and minor number for channel in group (3200b09)

newclock5:
New commits in this build:

  • Application: Set volume after opening file (0664565a)

Includes latest addons: inputstream.adaptive (fb0ca21), inputstream.rtmp (482f5c1), peripheral.joystick (3a93486), pvr.argustv (a4d3ec7), pvr.demo (0224cbd, +1), pvr.dvblink (4ac2f2d), pvr.dvbviewer (c2275e1), pvr.filmon (e754b4b), pvr.hdhomerun (7379fbc), pvr.hts (e5e89b1, +5), pvr.iptvsimple (a768d0e), pvr.mediaportal.tvserver (dcf0512), pvr.mythtv (3200b09, +1), pvr.nextpvr (11dfdbb), pvr.njoy (67b837d), pvr.octonet (c4af00a), pvr.pctv (c7a13d7), pvr.stalker (c91421d), pvr.teleboy (3ae0297), pvr.vbox (24126fd), pvr.vdr.vnsi (4db947c, +2), pvr.vuplus (020e1d2), pvr.wmc (920ade6), pvr.zattoo (4940bcc), vfs.libarchive (568a2a1)


#696

Seems that OSMC’s December update readded some missing CEC options as mentioned in this thread. But in this Test Builds they are still not available.
Would it be possible to also add them in the Kodi 18 Test Builds?


#697

I sync’d the latest patches this morning so this be fixed in the next nightly.


#698

Version 161 seems to have solved it. Just quickly tried starting a movie after upgrading and I get sound.


#699

Great stuff. Still can’t explain why it broke or then what fixed it.

Only thing that sticks out in 161 is:
Application: Set volume after opening file

Update: Actually this looks like the solution:

Application: Set volume after opening file
Initial volume was broken in omxplayer after #13301

#700

I confirm: 161 fixed the sound issue for me, too. Thanks!


#701

Im newbie here :slight_smile:

can some one help me how to instal kodi 18 on rpi2 with osmc? What are the comands ! I use Mac and I just figured out how to connect via ssh to osmc!! on my terminal im already on OSMC

GNU bash, version 4.3.30(1)-release (arm-unknown-linux-gnueabihf)
osmc@osmc:~$ sudo nano /etc/apt/sources.list
osmc@osmc:~$ wget -qO - http://download.osmc.tv/dev/gmc-18/gpg.key | sudo apt-key add -
OK
osmc@osmc:~$
osmc@osmc:~$ sudo apt-get update

Hit http://download.osmc.tv gmc-18 InRelease
Hit http://download.osmc.tv gmc-18/main armhf Packages
Ign http://download.osmc.tv gmc-18/main Translation-en
Reading package lists… Done
osmc@osmc:~$
osmc@osmc:~$ sudo apt-get dist-upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
osmc@osmc:~$ sudo apt-get install rbp2-mediacenter-osmc
Reading package lists… Done
Building dependency tree
Reading state information… Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
rbp2-mediacenter-osmc : Depends: libiso9660-8 but it is not installable
Depends: libtinyxml2.6.2v5 but it is not installable
Depends: libmicrohttpd12 but it is not installable
Depends: libmariadbclient18 but it is not installable
Depends: libpng16-16 but it is not installable
Depends: libtag1v5-vanilla but it is not installable
Depends: libgif7 but it is not installable
Depends: libpcrecpp0v5 but it is not installable
Depends: libssl1.0.2 but it is not installable
Depends: libplist3 but it is not installable
Depends: libcrossguid0 but it is not installable
Depends: libnspr4 but it is not installable
Depends: libnss3 but it is not installable
E: Unable to correct problems, you have held broken packages.
osmc@osmc:~$
osmc@osmc:~$ sudo nano /etc/apt/sources.list
osmc@osmc:~$ clear

osmc@osmc:~$ wget -qO - http://download.osmc.tv/dev/gmc-18/gpg.key | sudo apt-key add -
OK
osmc@osmc:~$
osmc@osmc:~$ sudo apt-get update
Ign http://ftp.debian.org jessie InRelease
Get:1 http://security.debian.org jessie/updates InRelease [63.1 kB]
Hit http://download.osmc.tv gmc-18 InRelease
Get:2 http://ftp.debian.org jessie-updates InRelease [145 kB]
Get:3 http://apt.osmc.tv jessie InRelease [4669 B]
Get:4 http://ftp.debian.org jessie Release.gpg [2434 B]
Get:5 http://ftp.debian.org jessie Release [148 kB]
Get:6 http://security.debian.org jessie/updates/main armhf Packages [474 kB]
Hit http://download.osmc.tv gmc-18/main armhf Packages
Get:7 http://security.debian.org jessie/updates/contrib armhf Packages [1138 B]
Get:8 http://security.debian.org jessie/updates/non-free armhf Packages [14 B]
Get:9 http://security.debian.org jessie/updates/contrib Translation-en [1211 B]
Get:10 http://security.debian.org jessie/updates/main Translation-en [243 kB]
Get:11 http://security.debian.org jessie/updates/non-free Translation-en [14 B]
Get:12 http://ftp.debian.org jessie-updates/contrib armhf Packages [32 B]
Get:13 http://ftp.debian.org jessie-updates/contrib Translation-en [14 B]
Get:14 http://ftp.debian.org jessie-updates/main Translation-en [14.9 kB]
Get:15 http://ftp.debian.org jessie-updates/non-free Translation-en [496 B]
Get:16 http://ftp.debian.org jessie-updates/main armhf Packages [20.1 kB]
Ign http://download.osmc.tv gmc-18/main Translation-en
Get:17 http://ftp.debian.org jessie/main armhf Packages [6644 kB]
Get:18 http://ftp.debian.org jessie/contrib armhf Packages [37.8 kB]
Get:19 http://ftp.debian.org jessie/non-free armhf Packages [62.5 kB]
Get:20 http://ftp.debian.org jessie/contrib Translation-en [38.3 kB]
Get:21 http://ftp.debian.org jessie/main Translation-en [4583 kB]
Get:22 http://ftp.debian.org jessie/non-free Translation-en [72.1 kB]
Get:23 http://ftp.debian.org jessie-updates/non-free armhf Packages [516 B]
Fetched 12.6 MB in 18s (663 kB/s)
W: Failed to fetch http://apt.osmc.tv/dists/jessie/InRelease Unable to find expected entry ‘main?/binary-armhf/Packages’ in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.
osmc@osmc:~$ sudo apt-get dist-upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
osmc@osmc:~$ sudo apt-get install rbp2-mediacenter-osmc
Reading package lists… Done
Building dependency tree
Reading state information… Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
rbp2-mediacenter-osmc : Depends: libtinyxml2.6.2v5 but it is not installable
Depends: libmicrohttpd12 but it is not installable
Depends: libmariadbclient18 but it is not installable
Depends: libpng16-16 but it is not installable
Depends: libtag1v5-vanilla but it is not installable
Depends: libgif7 but it is not installable
Depends: libpcrecpp0v5 but it is not installable
Depends: libssl1.0.2 but it is not installable
Depends: libplist3 but it is not installable
Depends: libcrossguid0 but it is not installable
E: Unable to correct problems, you have held broken packages.
osmc@osmc:~$
osmc@osmc:~$


#702

You are here almost a year, so I wouldn’t call you a newbie here.

All commands are in post 1, so you need to follow them step by step, starting with information about upgrading to stretch.


#703

When I said I’m newbie here, I meant in this kind of stuff (terminals, etc) :slight_smile: I’m here from a year ago but I used to install osmc with the installed they provide :smiley:

Thanks, I’ll check on that!


#704

I’d strongly recommend you stay with a stable version of OSMC then.


#706

I’ll try anyway, I have to start to learn somewhere :slight_smile:

But thanks for the advise


#707

17.8-162, 15 Jan 2018: Based off OSMC commit (73f85db) and newclock5 (066456)

OSMC:

  • Update Update better cec behaviour patch (73f85db)
  • Do not use TV menu language from CEC by default (9e718df95)

Includes latest addons: inputstream.adaptive (fb0ca21), inputstream.rtmp (482f5c1), peripheral.joystick (3a93486), pvr.argustv (a4d3ec7), pvr.demo (0224cbd, +1), pvr.dvblink (4ac2f2d), pvr.dvbviewer (c2275e1), pvr.filmon (e754b4b), pvr.hdhomerun (7379fbc), pvr.hts (e5e89b1, +5), pvr.iptvsimple (a768d0e), pvr.mediaportal.tvserver (dcf0512), pvr.mythtv (3200b09, +1), pvr.nextpvr (11dfdbb), pvr.njoy (67b837d), pvr.octonet (c4af00a), pvr.pctv (c7a13d7), pvr.stalker (c91421d), pvr.teleboy (3ae0297), pvr.vbox (24126fd), pvr.vdr.vnsi (4db947c, +2), pvr.vuplus (020e1d2), pvr.wmc (920ade6), pvr.zattoo (4940bcc), vfs.libarchive (568a2a1)


#708

Apologies if this has been mentioned before (this is a long thread!), but how do I downgrade back to Krypton? I upgrade to Leia after already applying the December update with Debian Stretch, so would like to revert back to that. Getting some stability issues here and downgrading for now might just be the best option for me.


#709

Try to comment out the GMC repo, run sudo apt-get update and then sudo apt-get install rbp2-mediacenter-osmc --reinstall Choose the respective mediacenter name based on your system dpkg -l | grep media will show you.

Instability is not quite likely coming from the Leia version but something else.


#710

Thanks - will give that a shot.

Entirely possible - could be an add-on causing it.


#711

17.8-163, 16 Jan 2018: Based off OSMC commit (4cd7e455) and newclock5 (478883)

XBMC:

  • [PVR] Add missing parental check to CPVREpgInfoTag::EpisodeName. (PR:13365, 1 commit, 4 files changed)
  • [depends] mark app_rendersystem as substitute variable (PR:13369, 2 commits, 2 files changed)
  • fix focus being lost when that was not intended (PR:13359, 1 commit, 1 file changed)
  • [wayland] Support xdg_shell stable (PR:13344, 8 commits, 13 files changed)
  • VideoPlayer: fix segfault when stopping bluray playback (PR:13370, 1 commit, 1 file changed)
  • Application: Set volume after opening file (PR:13372, 1 commit, 1 file changed)

pvr.octonet:

newclock5:
New commits in this build:

  • fixup ffmpeg patches (9abc3001)
  • filesystem: set proper check size for smb (990e23c1)
  • ffmpeg: hevc: Update to latest version (47888398)

Commits no longer in build:

  • Application: Set volume after opening file (0664565a)

Includes latest addons: inputstream.adaptive (fb0ca21), inputstream.rtmp (482f5c1), peripheral.joystick (3a93486), pvr.argustv (a4d3ec7), pvr.demo (0224cbd, +1), pvr.dvblink (4ac2f2d), pvr.dvbviewer (c2275e1), pvr.filmon (e754b4b), pvr.hdhomerun (7379fbc), pvr.hts (e5e89b1, +5), pvr.iptvsimple (a768d0e), pvr.mediaportal.tvserver (dcf0512), pvr.mythtv (3200b09, +1), pvr.nextpvr (11dfdbb), pvr.njoy (67b837d), pvr.octonet (689afbf, +1), pvr.pctv (c7a13d7), pvr.stalker (c91421d), pvr.teleboy (3ae0297), pvr.vbox (24126fd), pvr.vdr.vnsi (4db947c, +2), pvr.vuplus (020e1d2), pvr.wmc (920ade6), pvr.zattoo (4940bcc), vfs.libarchive (568a2a1)


#712

FYI - In the updated first post, you have Current and Previous build dates as XX Dec 2018. I’m guessing they should be XX Jan 2018.


#713

@gmc,

I just installed 17.8-163 today

osmc@osmc-Test:~$ dpkg -l | grep mediacenter-osmc | awk '{ print $3 }'
17.8-163

I’m getting an error at startup about the OSMC Skin (same as Toast’s picture from 9 Feb). Searching through here, I see that you were working on it a year ago. Any chance the patch to enable it got re-introduced?

osmc@osmc-Test:~$ grep skin.osmc .kodi/temp/kodi.log
19:08:18.249 T:1924153344  NOTICE: ADDON: skin.osmc v17.0.2 installed
19:08:28.375 T:1824928512  NOTICE: ADDON: skin.osmc version 17.0.2 is incompatible

I can provide more logs if necessary.


#714

The OSMC skin is currently not supported on Leia. The official rework of the skin will only start when Leia is closer to RC.
For the time being you would either need to use estuary or try to find out what needs to be done for it to be working.


#715

With the first alpha of Kodi v18 expected to land in April we have some time to work on this.